# H245_EncryptionSync Class Reference

`#include <h245.h>`

Inheritance diagram for H245_EncryptionSync:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandard, e_escrowentry, e_genericParameter }

## Public Member Functions

| H245_EncryptionSync (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_NonStandardParameter | m_nonStandard
PASN_Integer | m_synchFlag
PASN_OctetString | m_h235Key
H245_ArrayOf_EscrowData | m_escrowentry
H245_GenericParameter | m_genericParameter

## Member Enumeration Documentation

enum H245_EncryptionSync::OptionalFields

Enumerator:

  e_nonStandard |
  e_escrowentry |
  e_genericParameter |

## Constructor & Destructor Documentation

H245_EncryptionSync::H245_EncryptionSync | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_EncryptionSync::GetDataLength | ( |  | ) | const

PBoolean H245_EncryptionSync::Decode | ( | PASN_Stream & | strm | ) |

void H245_EncryptionSync::Encode | ( | PASN_Stream & | strm | ) | const

void H245_EncryptionSync::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_EncryptionSync::Compare | ( | const PObject & | obj | ) | const

PObject* H245_EncryptionSync::Clone | ( |  | ) | const

## Member Data Documentation

H245_NonStandardParameter H245_EncryptionSync::m_nonStandard

PASN_Integer H245_EncryptionSync::m_synchFlag

PASN_OctetString H245_EncryptionSync::m_h235Key

H245_ArrayOf_EscrowData H245_EncryptionSync::m_escrowentry

H245_GenericParameter H245_EncryptionSync::m_genericParameter

The documentation for this class was generated from the following file:

- h245.h